| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
Digikam::ImportUI Class Reference
Inheritance diagram for Digikam::ImportUI:

## Public Slots
void | slotDownload (bool onlySelected, bool deleteAfter, Album *pAlbum=nullptr)
void | slotUploadItems (const QList< QUrl > &)

## Signals
void | signalEscapePressed ()
void | signalLastDestination (const QUrl &)
void | signalNewSelection (bool)
void | signalPreviewRequested (const CamItemInfo &, bool)
void | signalWindowHasMoved ()

## Public Member Functions
| ImportUI (const QString &cameraTitle, const QString &model, const QString &port, const QString &path, int startIndex)
bool | cameraDelDirSupport () const
bool | cameraDeleteSupport () const
bool | cameraMkDirSupport () const
QString | cameraTitle () const
bool | cameraUploadSupport () const
bool | cameraUseGPhotoDriver () const
bool | cameraUseUMSDriver () const
DownloadSettings | downloadSettings () const
void | enableZoomMinusAction (bool val)
void | enableZoomPlusAction (bool val)
CameraThumbsCtrl * | getCameraThumbsCtrl () const
DInfoInterface * | infoIface (DPluginAction *const) override
| Return the interface instance to access to items information.
bool | isBusy () const
bool | isClosed () const
Public Member Functions inherited from Digikam::DXmlGuiWindow
| DXmlGuiWindow (QWidget *const parent=nullptr, Qt::WindowFlags f=Qt::WindowFlags())
QList< QAction * > | allActions () const
| Return all actions from internal collection.
void | cleanupActions ()
| Cleanup unwanted actions from action collection.
QString | configGroupName () const
void | createFullScreenAction (const QString &name)
| Create Full-screen action to action collection instance from managed window set through setManagedWindow().
void | createHelpActions (const QString &handbookSection, bool coreOptions=true)
| Create common actions from Help menu for all digiKam main windows.
void | createSettingsActions ()
| Create common actions to setup all digiKam main windows.
void | createSidebarActions ()
| Create common actions to handle side-bar through keyboard shortcuts.
bool | fullScreenIsActive () const
| Return true if managed window is currently in Full Screen Mode.
void | readFullScreenSettings (const KConfigGroup &group)
| Read full-screen settings from KDE config file.
virtual void | registerExtraPluginsActions (QString &)
void | registerPluginsActions ()
| Register all generic plugins action to this instance.
void | setConfigGroupName (const QString &name)
| Manage config group name used by window instance to get/set settings from config file.
void | setFullScreenOptions (int options)
| Set full-screen options to managed window.
void | unminimizeAndActivateWindow ()

## Static Public Member Functions
static ImportUI * | instance ()
Static Public Member Functions inherited from Digikam::DXmlGuiWindow
static QAction * | buildStdAction (StdActionType type, const QObject *const recvr, const char *const slot, QObject *const parent)
static QString | configFullScreenHideSideBarsEntry ()
static QString | configFullScreenHideStatusBarEntry ()
static QString | configFullScreenHideThumbBarEntry ()
static QString | configFullScreenHideToolBarsEntry ()
| Shared with FullScreenSettings.
static void | restoreWindowSize (QWindow *const win, const KConfigGroup &group)
static void | saveWindowSize (QWindow *const win, KConfigGroup &group)
static void | setGoodDefaultWindowSize (QWindow *const win)
static void | setupIconTheme ()
| If we have some local breeze icon resource, prefer it.

## Protected Member Functions
void | closeEvent (QCloseEvent *e) override
void | moveEvent (QMoveEvent *e) override
Protected Member Functions inherited from Digikam::DXmlGuiWindow
void | closeEvent (QCloseEvent *e) override
void | editKeyboardShortcuts (KActionCollection *const extraac=nullptr, const QString &actitle=QString())
| Call this method from your main window to show keyboard shortcut config dialog with an extra action collection to configure.
bool | eventFilter (QObject *obj, QEvent *ev) override
void | keyPressEvent (QKeyEvent *e) override
QAction * | showMenuBarAction () const
QAction * | showStatusBarAction () const

## Additional Inherited Members
Protected Slots inherited from Digikam::DXmlGuiWindow
bool | slotClose ()
Protected Attributes inherited from Digikam::DXmlGuiWindow
DLogoAction * | m_animLogo = nullptr

## Member Function Documentation

## ◆ infoIface()

DInfoInterface * Digikam::ImportUI::infoIface | ( | DPluginAction * const | ac | ) |
| inline override virtual

Implements Digikam::DXmlGuiWindow.